CSVConfigGuesser (Solr 3.6.2 API)
Keywords: org.apache.solr.internal.csv.writer.CSVConfigGuesser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.internal.csv.writer
Class CSVConfigGuesser

    java.lang.Object
      org.apache.solr.internal.csv.writer.CSVConfigGuesser

    public class CSVConfigGuesser

extends Object

Tries to guess a config based on an InputStream.

Version:
  $Id: $
Author:
  Martin van den Bemt

Field Summary
`protected CSVConfig` | `config` The found config

Constructor Summary
`CSVConfigGuesser()`
`CSVConfigGuesser(InputStream in)`

Method Summary
`protected void` | `analyseLines(String[] lines)`
`protected InputStream` | `getInputStream()` Allow override.
`CSVConfig` | `guess()` Guess the config based on the first 10 (or less when less available) records of a CSV file.
`protected void` | `guessFieldSeperator(String[] lines)`
`protected void` | `guessFixedWidth(String[] lines)` Guess if this file is fixedwidth.
`protected void` | `guessFixedWidthSeperator(String[] lines)`
`boolean` | `hasFieldHeader()`
`void` | `setHasFieldHeader(boolean hasFieldHeader)` Specify if the CSV file has a field header
`void` | `setInputStream(InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected CSVConfig config

  The found config

Constructor Detail

### CSVConfigGuesser

    public CSVConfigGuesser()

### CSVConfigGuesser

    public CSVConfigGuesser(InputStream in)

Parameters:
  `in` - the inputstream to guess from

Method Detail

### setInputStream

    public void setInputStream(InputStream in)

### getInputStream

    protected InputStream getInputStream()

  Allow override.

  Returns:
    the inputstream that was set.

### guess

    public CSVConfig guess()

  Guess the config based on the first 10 (or less when less available) records of a CSV file.

  Returns:
    the guessed config.

### analyseLines

    protected void analyseLines(String[] lines)

### guessFixedWidth

    protected void guessFixedWidth(String[] lines)

  Guess if this file is fixedwidth. Just basing the fact on all lines being of the same length

  Parameters:
    `lines` -

### guessFieldSeperator

    protected void guessFieldSeperator(String[] lines)

### guessFixedWidthSeperator

    protected void guessFixedWidthSeperator(String[] lines)

### hasFieldHeader

    public boolean hasFieldHeader()

  Returns:
    if the field uses a field header. Defaults to false.

### setHasFieldHeader

    public void setHasFieldHeader(boolean hasFieldHeader)

  Specify if the CSV file has a field header

  Parameters:
    `hasFieldHeader` - true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD